<?php
session_start();
require 'vendor/autoload.php';
include('config.php');
use \Firebase\JWT\JWT;

// Check if the 'id' parameter is set in the URL
if (isset($_GET['id'])) {
    $documentId = $_GET['id'];

    // Your access and secret keys
    global   $accessKey;
    global $secretKey;

    // Endpoint details for downloading the document
    $baseUrl = "https://api.corporatetools.com";
    $path = "/documents/{$documentId}/download";

    // Build JWT
    $content = hash('sha256', '');
    $jwtPayload = [
        "path" => $path,
        "content" => $content
    ];
    $jwtHeader = [
        "access_key" => $accessKey
    ];
    $jwt = JWT::encode($jwtPayload, $secretKey, 'HS256', null, $jwtHeader);

    // Initialize cURL
    $url = $baseUrl . $path;
    $ch = curl_init($url);
    $headers = [
        "Authorization: Bearer $jwt",
        "Content-Type: application/json"
    ];

    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    // Execute cURL request
    $response = curl_exec($ch);
    $response_data = json_decode($response,true);
    $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    // Check for successful response
    if ($httpCode === 200) {
        // Force download
        header('Content-Description: File Transfer');
        header('Content-Type: application/pdf');
        header('Content-Disposition: attachment; filename="document_' . $documentId . '.pdf"');
        header('Content-Transfer-Encoding: binary');
        header('Expires: 0');
        header('Cache-Control: must-revalidate');
        header('Pragma: public');
        header('Content-Length: ' . strlen($response));


        echo $response;
        exit;
        exit;
    } else {
        // Handle error
        $_SESSION['error_message'] = "Failed to download the document: " .$response_data['result']['id'] ;
        header("Location: Dashboard/documents.php");
        exit;
    }
}
