<?php
// Start the session
session_start();

include "config.php";



// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the form data
    $email = $_POST['email'];
    $password = $_POST['password'];

    // Validate the email and password (basic validation)
    if (empty($email) || empty($password)) {
        $_SESSION['error'] = "Both fields are required!";
        header("Location: login.php");
    exit;
    }

    // Prepare and bind the query
    $stmt = $conn->prepare("SELECT id, email, password,name,company_id FROM companies WHERE email = ?");
    $stmt->bind_param("s", $email);  // "s" stands for string type
    $stmt->execute();
    $stmt->store_result();

    // Check if the email exists
    if ($stmt->num_rows > 0) {
        // Bind the result to variables
        $stmt->bind_result($user_id, $user_email, $user_password,$name,$company_id);
        $stmt->fetch();

        // Verify password
        if (password_verify($password, $user_password)) {
            // Password is correct, start session and redirect to the dashboard
            $_SESSION['user_id'] = $user_id;
            $_SESSION['username'] = $name;
            $_SESSION['user_email'] = $user_email;
            $_SESSION['company_id'] = $company_id;
            header("Location: Dashboard/documents.php");
            exit;
        } else {
            // Password is incorrect
            $_SESSION['error'] = "Invalid Username/password!";
            header("Location: login.php");
            exit;
        }
    } else {
        // Email does not exist
        $_SESSION['error'] = "Invalid Username/password!";
        header("Location: login.php");
        exit;
    }

    $stmt->close();
}

// Close the connection
$conn->close();
?>
